<?php
namespace Teknisa\DF\Modules\Relatorios\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;


class Dfe13000EspelhoNF extends \Zeedhi\Framework\Controller\Report{
    protected $newCode;
    protected $reportService;
    protected $environment;
    
     public function __construct($newCode, $environment, ReportService $reportService) {
        $this->newCode       = $newCode;
        $this->environment   = $environment;
        $this->reportService = $reportService;
    }


    public function generateReport(DTO\Request\Row $request, DTO\Response $response) {
        $rows = $request->getRow();
        $nrorg = $this->environment->getNrOrgTrab();
        
         if($rows[0]["REPORTNAME"] == 'DFE13000') {
            $reportName = $rows[0]["REPORTNAME"];
            $filial     = $rows[0]["CDFILIAL"];
            $parameterRow = array("P_CDFILIAL"   => $filial);
        }
        
        $SEQ_NRLANCTONF = '';
        
        foreach($rows as $row){
            $SEQ_NRLANCTONF .= '_'.$row["NRLANCTONF"];
        };
        
        $SEQ_NRLANCTONF.='_';
        $parameterRow["P_NRLANCTONF"] = $SEQ_NRLANCTONF;

       $nrorg = $this->environment->getNrOrgTrab(); 
       $parameterRow['P_NRORG'] = $nrorg;
       $parameterRow['__format'] = 'pdf';
       
       $birtURL = $this->reportService->createRemoteReport('BIRT', $reportName, $parameterRow);
       $response->addDataset(new DataSet('URL',array($birtURL)));
    
    }

}
